#include <stdlib.h>
#include <errno.h>
#include "tund.h" 

  
extern int debug;
extern Seq *stun;

#define TABLE_SIZE	(1<<16)

static unsigned short tunTable[TABLE_SIZE];


void init_search()
 {
  bzero(tunTable,TABLE_SIZE*sizeof(unsigned short));
 }


void register_tunnel(unsigned short tunAddr,int tun_ind)
 {
  tunTable[(int)tunAddr]=(unsigned short)(tun_ind+1);
 }


int find_tunnel_from(struct sockaddr_in *from,unsigned short tunAddr)
 {
  int tun_ind;

  tun_ind=(int)(tunTable[(int)tunAddr]);
  return tun_ind-1;
 }





